# This is the main configuration file of your Dancer2 app
# env-related settings should go to environments/$env.yml
# all the settings in this file will be loaded at Dancer's startup.

# === Basic configuration ===

# Your application's name
appname: "[d2% appname %2d]"

# The default layout to use for your application (located in
# views/layouts/main.tt)
layout: "main"

# when the charset is set to UTF-8 Dancer2 will handle for you
# all the magic of encoding and decoding. You should not care
# about unicode within your app when this setting is set (recommended).
charset: "UTF-8"

# === Engines ===
#
# NOTE: All the engine configurations need to be under a single "engines:"
# key.  If you uncomment engine configurations below, make sure to delete
# all "engines:" lines except the first.  Otherwise, only the last
# "engines:" block will take effect.

# template engine
# simple: default and very basic template engine
# template_toolkit: TT

#template: "simple"

template: "template_toolkit"
session: "YAML"
engines:
  template:
    template_toolkit:
      # Note: start_tag and end_tag are regexes
      start_tag: '<%'
      end_tag:   '%>'
  session:
    YAML:
      cookie_name: [d2% appname %2d].session
      #is_secure: 1
      #is_http_only: 1

# session engine
#
# Simple: in-memory session store - Dancer2::Session::Simple
# YAML: session stored in YAML files - Dancer2::Session::YAML
#
# Check out metacpan for other session storage options:
# https://metacpan.org/search?q=Dancer2%3A%3ASession&search_type=modules
#
# Default value for 'cookie_name' is 'dancer.session'. If you run multiple
# Dancer apps on the same host then you will need to make sure 'cookie_name'
# is different for each app.
#
#engines:
#  session:
#    Simple:
#      cookie_name: testapp.session
#
#engines:
#  session:
#    YAML:
#      cookie_name: eshop.session
#      is_secure: 1
#      is_http_only: 1
